import React from 'react';
import ReactDOM from 'react-dom';
import Upload from '..';
import { Button, Icon } from '../..';
function handleClick(e) {
    e.stopPropagation();
    // download template
}
ReactDOM.render(React.createElement("div", null,
    React.createElement(Upload.Dragger, { listType: "image", action: "https://www.easy-mock.com/mock/5b713974309d0d7d107a74a3/alifd/upload", accept: "image/png, image/jpg, image/jpeg, image/gif, image/bmp", onDragOver: onDragOver, 
        // @ts-ignore
        onDrop: onDrop }),
    React.createElement("br", null),
    React.createElement(Upload.Dragger, { listType: "image", action: "https://www.easy-mock.com/mock/5b713974309d0d7d107a74a3/alifd/upload", accept: "image/png, image/jpg, image/jpeg, image/gif, image/bmp", onDragOver: onDragOver, 
        // @ts-ignore
        onDrop: onDrop },
        React.createElement("div", { className: "next-upload-drag" },
            React.createElement("p", { className: "next-upload-drag-icon" },
                React.createElement(Icon, { type: "upload" })),
            React.createElement("p", { className: "next-upload-drag-text" },
                "click to",
                ' ',
                React.createElement(Button, { text: true, onClick: handleClick }, "download template"),
                ' ',
                "or drag file here"),
            React.createElement("p", { className: "next-upload-drag-hint" }, "supports docx, xls, PDF ")))), document.getElementById('upload-demo-5'));
function onDragOver() {
    console.log('dragover callback');
}
function onDrop(fileList) {
    console.log('drop callback : ', fileList);
}
